import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:crashops_flutter/crashops_flutter.dart';

void main() {
  const MethodChannel channel = MethodChannel('crashops_flutter');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    CrashOps crashOps = CrashOps();

    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return true;
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('isCrashOpsEnabled', () async {
    CrashOps crashOps = CrashOps();
    expect(await crashOps.isEnabled, true);
  });
}
